
From: Rusty Russell <rusty@rustcorp.com.au>

Module aliases are all of form "char-major-<major>-<minor>".  char_dev.c
calls request_module with "char-major-<major>".



 fs/char_dev.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/char_dev.c~request-module-char-dev-fix fs/char_dev.c
--- 25/fs/char_dev.c~request-module-char-dev-fix	2003-10-30 20:00:07.000000000 -0800
+++ 25-akpm/fs/char_dev.c	2003-10-30 20:00:07.000000000 -0800
@@ -434,7 +434,7 @@ void cdev_init(struct cdev *cdev, struct
 
 static struct kobject *base_probe(dev_t dev, int *part, void *data)
 {
-	request_module("char-major-%d", MAJOR(dev));
+	request_module("char-major-%d-%d", MAJOR(dev), MINOR(dev));
 	return NULL;
 }
 

_
